commit 678cfb36c4ae5c809512f5330a28271232ce39f0
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Nov 20 01:26:04 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 65d46e9aa22..47ee53e389b 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251119
+20251120
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 9777c8b4498..5dd350251cb 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,12 @@
+2025-11-19  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2025-11-19  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/119580
+	* pt.cc (tsubst_baselink): Return error_mark_node if
+	tsubst_template_args returned error_mark_node.
+
 2025-11-18  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 0d2cb297dd4..04071d246c1 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,14 @@
+2025-11-19  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2025-11-19  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/119580
+	* g++.dg/template/crash106.C: Adjust expected diagnostics.
+	* g++.dg/template/crash112.C: Likewise.
+	* g++.dg/template/dependent-args1.C: Likewise.
+	* g++.dg/cpp0x/pr119580.C: New test.
+
 2025-11-18  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 1a072756845..b18e07e9407 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,38 @@
+2025-11-19  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2025-11-19  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/122743
+	* doc/xml/manual/abi.xml: Add versions for GCC 15.
+	* doc/html/manual/abi.html: Regenerate.
+
+2025-11-19  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2025-11-19  Jonathan Wakely  <jwakely@redhat.com>
+
+	* doc/xml/faq.xml: Remove unwanted whitespace inside
+	programlisting elements.
+	* doc/xml/manual/allocator.xml: Likewise.
+	* doc/xml/manual/auto_ptr.xml: Likewise.
+	* doc/xml/manual/backwards_compatibility.xml: Likewise.
+	* doc/xml/manual/build_hacking.xml: Likewise.
+	* doc/xml/manual/containers.xml: Likewise.
+	* doc/xml/manual/diagnostics.xml: Likewise.
+	* doc/xml/manual/extensions.xml: Likewise.
+	* doc/xml/manual/intro.xml: Likewise.
+	* doc/xml/manual/io.xml: Likewise.
+	* doc/xml/manual/iterators.xml: Likewise.
+	* doc/xml/manual/numerics.xml: Likewise.
+	* doc/xml/manual/policy_data_structures.xml: Likewise.
+	* doc/xml/manual/strings.xml: Likewise.
+	* doc/xml/manual/support.xml: Likewise.
+	* doc/xml/manual/test.xml: Likewise.
+	* doc/xml/manual/using.xml: Likewise.
+	* doc/xml/manual/utilities.xml: Likewise.
+	* doc/html/*: Regenerate.
+
 2025-11-18  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

